<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Общая информация')."";
ECHO "</div>"; 


IF (POST('name')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $surname = ADSL(POST('surname'));
  $email = ADSL(POST('email'));
  
  IF (STR($name) < 0) {
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1) {
    
    REDIRECT('?path=system&section=info');
    
  }  
  
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'ADM_NAME', $name);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'ADM_SURNAME', $surname);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'ADM_EMAIL', $email);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=system&section=info');

}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

HTML::INPUT('name', NULL, 'Имя:', NULL, TEXT_ABSOLUTE(CONFIG('ADM_NAME')), 'form-control-100', 'text');
HTML::INPUT('surname', NULL, 'Фамилия:', NULL, TEXT_ABSOLUTE(CONFIG('ADM_SURNAME')), 'form-control-100', 'text');
HTML::INPUT('email', NULL, 'E-mail:', NULL, TEXT_ABSOLUTE(CONFIG('ADM_EMAIL')), 'form-control-100', 'text');

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

?>